(defun c:QB(/ ss ip n)
	(setq ss (ssget "_:L"))
	(if (not ss) (setq ss (ssx)))
	(setq ip (getpoint))
	(if (and ss ip)
		(progn
			(setq n 1)
			(setq blockName (strcat "Quick_Block_" (DTD:NumFix (itoa n) 5)))
			(while (tblsearch "BLOCK" blockName)
				(setq blockName (strcat "Quick_Block_" (DTD:NumFix (itoa (setq n (1+ n))) 5)))
			)
			(command "_.-Block" blockName ip ss "")
			(command "_.-insert" blockName ip "" "" "")
		)
	)
)

(defun DTD:NumFix (s n)
	(if (< (strlen s) n)
		(DTD:NumFix (strcat "0" s) n)
		s
	)
)